質問箱/2117

カテゴリ
サマリページ編集認証ができない
バージョン1.4.3
投稿者こうすけ?
状態完了
投稿日2004-04-05 (MON) 09:09:27

質問

いつもお世話になっております。早速で申し訳ありませんが、1.4.3についてご質問します。

早速、変更があったファイルのみダウンロードして、1.4.3へしましたが、ページ編集認証が、うまくできません。パスワードなど、通らないのです。

編集認証対象パターンは

$edit_auth_pages = array(
'/.*/' => 'kosuke',
);
のように、ページ全体に編集認証をしています。

ちなみに、編集認証を無効にして、凍結を試すと、うまくできました。 私の設定上のミスでしょうか?

PHPは、4.3.5です。ご教授、お願い致します。

回答

  • こすうけ? 2004-04-06 (TUE) 10:44:08

    いつもお世話になっております。問題の解決が出来ましたので、ご報告します。

    pukiwiki.ini.phpにあるユーザ定義ですが、

    // ユーザ定義
    $auth_users = array(
    'foo' => 'foo_passwd',
    'bar' => 'bar_passwd',
    'hoge' => 'hoge_passwd',
    );
    になっていますが、この時のpasswdを、MD5にしたものを使っていたため、認証が出来なかったようです。MD5にせず、そのままの形でのパスワードにしたところ、無事に認証されました。

    でも、1.4.2の時には、passwdを、MD5にしたものを使っていたのですが、ちゃんと認証されました。認証方法に変更があったのでしょうか?

    ちょっと不思議な感じがしましたので、ご報告をさせていただきました。本当にありがとうございました。



トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2005-07-17 (日) 16:05:13
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u2. HTML convert time: 0.574 sec.

OSDN